Bug 59255 - [PATCH] devel/boost: fix build
Summary: [PATCH] devel/boost: fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-13 15:50 UTC by Sergey Matveychuk
Modified: 2003-11-20 16:12 UTC (History)
1 user (show)

See Also:


Attachments
boost-1.30.2.patch (707 bytes, patch)
2003-11-13 15:50 UTC, Sergey Matveychuk
no flags Details | Diff
boost.patch (626 bytes, patch)
2003-11-13 22:30 UTC, Sergey Matveychuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Matveychuk 2003-11-13 15:50:19 UTC
A last patch from Keishi Katoux was uncomlited.
* Here is really fix.
* Remove spaces on blank line

Port maintainer (pmarquis@pobox.com) is cc'd.

Generated with FreeBSD Port Tools 0.50
Comment 1 Sergey Matveychuk 2003-11-13 22:30:33 UTC
Sorry, it was a reverse patch.
But it doesn't aplied even with -R.

So here is a right one.

---
Sem.
Comment 2 Sergei Kolobov freebsd_committer 2003-11-14 06:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

I'll take it.
Comment 3 Sergei Kolobov freebsd_committer 2003-11-15 23:38:41 UTC
Dear maintainer,

Please review the following modification of the patch provided by Sergey
Matveychuk in http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/59255:

Index: Makefile
===================================================================
RCS file: /FreeBSD/cvs/ports/devel/boost/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile	10 Nov 2003 05:52:32 -0000	1.10
+++ Makefile	15 Nov 2003 22:20:14 -0000
@@ -17,30 +17,30 @@
 MAINTAINER=	pmarquis@pobox.com
 COMMENT=	Free peer-reviewed portable C++ source libraries
 
-MAKE_ENV+=	BOOST_ROOT=${WRKSRC} BUILD="debug release"
+MAKE_ENV=	BOOST_ROOT=${WRKSRC} BUILD="debug release"
 
 .if defined(WITH_PYTHON)
 USE_PYTHON=	yes
 # 1.30.2 doesn't support python2.3
 PYTHON_VERSION=	python2.2
-COMPILED_LIBS+=	python
-PLIST_SUB+=	BOOST_PYTHON=""
+COMPILED_LIBS=	python
+PLIST_SUB=	BOOST_PYTHON=""
+MAKE_ENV+=	PYTHON_ROOT="${PREFIX}" \
+		PYTHON_VERSION="${_PYTHON_VERSION}" \
+		PYTHON_INCLUDES="${PYTHON_INCLUDEDIR}" \
+		PYTHON_LIB_PATH="${PYTHON_LIBDIR}" 
 .else
-PLIST_SUB+=	BOOST_PYTHON="@comment "
+PLIST_SUB=	BOOST_PYTHON="@comment "
 .endif
 
-.include <bsd.port.pre.mk>
-
-MAKE_ENV+=	PYTHON_ROOT="${PREFIX}"
-MAKE_ENV+=	PYTHON_VERSION="${_PYTHON_VERSION}"
-MAKE_ENV+=	PYTHON_INCLUDES="${PYTHON_INCLUDEDIR}"
-MAKE_ENV+=	PYTHON_LIB_PATH="${PYTHON_LIBDIR}"
 INSTALLS_SHLIB=	yes
 DOCFILES=	*.css *.gif *.htm *.html *.jpeg *.jpg *.png
 
 BJAM=		${WRKSRC}/tools/build/jam_src/bin.freebsd/bjam
   
 COMPILED_LIBS+=	date_time filesystem regex signals test thread
+
+.include <bsd.port.pre.mk>
 
 do-configure:
 # for -pthread options

Please let us know if you approve it.

Sergei
Comment 4 Sergei Kolobov freebsd_committer 2003-11-15 23:39:46 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's approval.
Comment 5 Sergei Kolobov freebsd_committer 2003-11-20 16:12:05 UTC
State Changed
From-To: feedback->closed

Committed, thanks!